Bug 481139 - [RHEL 4] autofs5 SASL badness
[RHEL 4] autofs5 SASL badness
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: autofs (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ian Kent
Martin Jenner
:
Depends On: 477245 485201
Blocks: 1004133
  Show dependency treegraph
 
Reported: 2009-01-22 07:13 EST by Ian Kent
Modified: 2013-09-03 23:04 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* Previously, the LDAP module lacked the ability to lock the server list. When used in SASL authenticated environments, this could cause autofs to fail if the credential for the connection became stale. The LDAP module can now lock a server list, and autofs refreshes and retries failed SASL connections. Autofs therefore performs more reliably when used in authenticated environments.
Story Points: ---
Clone Of: 477245
: 1004133 (view as bug list)
Environment:
Last Closed: 2009-09-02 07:59:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1397 normal SHIPPED_LIVE autofs bug fix update 2009-09-01 08:02:15 EDT

  None (edit)
Comment 5 Ian Kent 2009-05-04 00:35:52 EDT
RHTS test bugzillas/bz481139 in the autofs work flow can
be used to verify this issue.

This change was included in autofs-5.0.1-0.rc2.105 but the
latest CVS build is recommended for testing.
Comment 6 Karel Volný 2009-05-12 10:22:57 EDT
(In reply to comment #5)
> RHTS test bugzillas/bz481139 in the autofs work flow can
> be used to verify this issue.
> 
> This change was included in autofs-5.0.1-0.rc2.105 but the
> latest CVS build is recommended for testing.  

thanks for making the test ... if you want to help us even more ;-) please set  QA Whiteboard to RHTSDone=/path/to/test when you write a test for a bug
Comment 7 Ian Kent 2009-05-12 12:39:14 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > RHTS test bugzillas/bz481139 in the autofs work flow can
> > be used to verify this issue.
> > 
> > This change was included in autofs-5.0.1-0.rc2.105 but the
> > latest CVS build is recommended for testing.  
> 
> thanks for making the test ... if you want to help us even more ;-) please set 
> QA Whiteboard to RHTSDone=/path/to/test when you write a test for a bug  

OK, I didn't know to do this.
Will do in the future.
Comment 11 Ruediger Landmann 2009-08-31 00:20:01 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* Previously, the LDAP module lacked the ability to lock the server list. When used in SASL authenticated environments, this could cause autofs to fail if the credential for the connection became stale. The LDAP module can now lock a server list, and autofs refreshes and retries failed SASL connections. Autofs therefore performs more reliably when used in authenticated environments.
Comment 12 errata-xmlrpc 2009-09-02 07:59:09 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1397.html

Note You need to log in before you can comment on or make changes to this bug.